跳转到内容

執行 AI 虛擬美甲任務。

请求

這個端點啟動虛擬美甲流程。您必須提供來源檔案與參考圖片(透過網址或檔案 ID),以及特定的美甲特效設定。任務會以非同步方式處理,您可以使用這個回應回傳的 task_id 查詢其狀態。

安全
BearerAuthenticationV2
正文application/json必需
Any of:
versionstring必需

美甲特效規範的版本。 除非另有指定,預設為 "1.0"。

默认值:"1.0"
示例:"1.0"
effect_typestring必需
Enum:"nail_polish""press_on_nails"
示例:"nail_polish"
effectsArray of any必需
src_file_urlstring必需

要執行任務的檔案網址。該網址應可公開存取。

示例:"https://example.com/selfie.jpg"
ref_file_urlsArray of strings, non-empty
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/nail-vto \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg",
    "ref_file_urls": [
      "https://example.com/accessory.jpg"
    ],
    "version": "1.0",
    "effect_type": "nail_polish",
    "effects": [
      {
        "sub_type": "color",
        "finger": "thumb",
        "color": "string",
        "texture": "matte",
        "reflection": 0,
        "contrast": 0,
        "roughness": 0,
        "transparency": 0
      }
    ]
  }'

响应

任務執行成功

正文application/json
statusinteger

回應狀態

示例:200
dataobject
响应
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }